import request from '@/utils/request'

// 查询模型管理列表
export function listModelInfo(query) {
  return request({
    url: '/cert/modelInfo/list',
    method: 'get',
    params: query
  })
}

// 查询模型管理详细
export function getModelInfo(id) {
  return request({
    url: '/cert/modelInfo/' + id,
    method: 'get'
  })
}

// 新增模型管理
export function addModelInfo(data) {
  return request({
    url: '/cert/modelInfo',
    method: 'post',
    data: data
  })
}

// 修改模型管理
export function updateModelInfo(data) {
  return request({
    url: '/cert/modelInfo',
    method: 'put',
    data: data
  })
}

// 删除模型管理
export function delModelInfo(id) {
  return request({
    url: '/cert/modelInfo/' + id,
    method: 'delete'
  })
}

// 刷新模型缓存
export function refreshModelInfo() {
  return request({
    url: '/cert/modelInfo/refresh/',
    method: 'get'
  })
}